ParameterParser (HttpClient Library (Version 3.1))
Date: 2019-09-02

org.apache.commons.httpclient.util

## Class ParameterParser

- java.lang.Object
- - org.apache.commons.httpclient.util.ParameterParser

-     public class ParameterParser
      extends java.lang.Object

  A simple parser intended to parse sequences of name/value pairs. Parameter values are exptected to be enclosed in quotes if they contain unsafe characters, such as '=' characters or separators. Parameter values are optional and can be omitted.

  `param1 = value; param2 = "anything goes; really"; param3`

  Since:
    3.0
  Author:
    Oleg Kalnichevski

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParameterParser()` Default ParameterParser constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List` | `parse(char[] chars, char separator)` Extracts a list of `NameValuePair`s from the given array of characters.
    `java.util.List` | `parse(char[] chars, int offset, int length, char separator)` Extracts a list of `NameValuePair`s from the given array of characters.
    `java.util.List` | `parse(java.lang.String str, char separator)` Extracts a list of `NameValuePair`s from the given string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParameterParser

          public ParameterParser()

      Default ParameterParser constructor

  - ### Method Detail

    - #### parse

          public java.util.List parse(java.lang.String str,
                                      char separator)

      Extracts a list of `NameValuePair`s from the given string.
      Parameters:
        `str` - the string that contains a sequence of name/value pairs
      Returns:
        a list of `NameValuePair`s

    - #### parse

          public java.util.List parse(char[] chars,
                                      char separator)

      Extracts a list of `NameValuePair`s from the given array of characters.
      Parameters:
        `chars` - the array of characters that contains a sequence of name/value pairs
      Returns:
        a list of `NameValuePair`s

    - #### parse

          public java.util.List parse(char[] chars,
                                      int offset,
                                      int length,
                                      char separator)

      Extracts a list of `NameValuePair`s from the given array of characters.
      Parameters:
        `chars` - the array of characters that contains a sequence of name/value pairs
        `offset` - - the initial offset.
        `length` - - the length.
      Returns:
        a list of `NameValuePair`s

Copyright (c) 1999-2005 - Apache Software Foundation